Bug 1009923 - getpwuid and getgrgid do not use the negative cache
Summary: getpwuid and getgrgid do not use the negative cache
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-09-19 13:47 UTC by Dmitri Pal
Modified: 2020-05-02 17:28 UTC (History)
6 users (show)

Fixed In Version: sssd-1.11.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 13:01:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github SSSD sssd issues 3132 None None None 2020-05-02 17:28:58 UTC

Description Dmitri Pal 2013-09-19 13:47:28 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/2090

There is a bug in the NSS responder that bypasses the negative cache in case an object is not found by ID.

Comment 1 Jakub Hrozek 2013-09-25 09:28:41 UTC
Fixed upstream.

master:
    0929629fd69df6e83f9986707b2a6462e0e273d0
    d82e648c8e5e86be94b069551998001d4cb3bdab 
sssd-1-11:
    20b158b515ce814363edc2d8a8634f467d37a71c
    a0b107df0cd7ba16713038bc3f705222f90798ca

Comment 3 Jakub Hrozek 2013-10-04 13:23:55 UTC
Temporarily moving bugs to MODIFIED to work around errata tool bug

Comment 5 Nirupama Karandikar 2013-12-17 11:39:17 UTC
Tested with sssd-1.11.2-10.el7.x86_64

Output from Beaker automation run :

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: nigative_cache_01: BZ 1009923
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: User lookup is expected to fail (Expected 2, got 2)
:: [   PASS   ] :: User lookup is expected to fail (Expected 2, got 2)
:: [   PASS   ] :: Running 'getent passwd ssstestuser1' (Expected 0, got 0)
:: [   LOG    ] :: Duration: 20s
:: [   LOG    ] :: Assertions: 3 good, 0 bad
:: [   PASS   ] :: RESULT: nigative_cache_01: BZ 1009923

Comment 6 Ludek Smid 2014-06-13 13:01:19 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.